---
sourceDocument: Xanadu API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/xanadu/api-reference

 Release :

    - xanadu

ft:locale :

    - en-US

ft:publication_title :

    - Xanadu API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# FieldReadConfiguration class - Android

# FieldReadConfiguration class - Android {#ariaid-title1}

* Release version: Xanadu
* 
* Updated August 1, 2024
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 1 minute to read

The FieldReadConfiguration class provides the ability to define what
fields to return or not return in a response record.
{#FieldReadConfigAndroidAPI__table_rrr_12w_wpb__entry__3}

| Name | Type | Description |
|-|-|-|
| includeFields | [Collection](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-collection/)​\<String\> | Fields to return in the response. |
| queryItems | [Map](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-map/)\<String, String\> | Read-only. Collection of query items representing the read configuration. |
| queryParams | QueryParams | Iterable structure that contains name-value pairs of request query parameters. Use these parameters to build a request. |
[Table 1. Properties]

{#FieldReadConfigAndroidAPI__table_rrr_12w_wpb}

## FieldReadConfiguration - FieldReadConfiguration(includeFields: Collection\<String\> =
listOf(), vararg options: FieldReadConfiguration.Options) {#ariaid-title2}

Defines the fields to include in the return response from the associated ServiceNow table.
{#FldReadConf-FieldReadConfig_S_O__table_mlz_4ps_4pb__entry__3}

| Name | Type | Description |
|-|-|-|
| includeFields | Collection\<String\> | List of comma-separated fields to return in the response. If the list is empty, all fields are returned. |
| vararg options | FieldReadConfiguration.Options | Optional. Array of zero or more options that define the type of field information to return. Possible values: * ACTUAL_VALUES: Include the field's actual value in the response. * DISPLAY_VALUES: Include the field's display value in the response. * EXCLUDE_REFERENCE_LINK: Exclude the Table API links for the reference fields. |
[Table 2. Parameters]

{#FldReadConf-FieldReadConfig_S_O__table_mlz_4ps_4pb}  
The following code example shows how to call this function.

    val readConfiguration = FieldReadConfiguration(
      includeFields = listOf("sys_id", "sys_created_on", "short_description"),
      options = arrayOf(FieldReadConfiguration.Options.DISPLAY_VALUES)
    )
    val fetchConfiguration = FetchConfiguration(
      filter = Filter("active=true"),
      readConfiguration = readConfiguration
    )
    val response = nowTableService.records("incident", fetchConfiguration).execute()
    handleResponse(response)


